XltGetValues(3X)

NAME
XltGetValues - Convenience safety wrapper for XtGetValues(3X).

SYNOPSIS
#include <Xlt/Xlt.h>

void XltGetValues(w, a, n)
	Widget w;
	Arg a[];
	Cardinal n;

DESCRIPTION
XltGetValues simply asserts (using XltCheckArgSize(3X)) that a contains at least n elements and then calls XtGetValues(3X).

An alternative is to use XtVaGetValues(3X). XtVaGetValues(3X) makes the machine work harder but few would notice any performance difference. However, if you already have an application that makes extensive use of XtGetValues(3X), using XltGetValues will be easier than changing everything to XtVaGetValues(3X).

Note that the a parameter must be an array of Arg, a pointer to an Arg will not work.

RETURN VALUE
None but abort(3) may be called.

SEE ALSO
XltCheckArgSize(3X), XltSetValues(3X), assert(3).